# qlprint

Printing tools for Brother QL-570 label printer

```
$ qlprint --help
usage: QLPrint [-h] [-c COPIES] image

Printing tools for Brother QL-570 label printer

positional arguments:
  image                 path to image (with extension, i.e. .png) or name of temporary folder to continue printing part way through a
                        failed print job (this would be a random string of 10 letters or numbers, e.g. oet845cgx9)

options:
  -h, --help            show this help message and exit
  -c COPIES, --copies COPIES
                        number of copies of the image/images to be printed

Have fun printing!
```

## Print an image of a collection of images
```
$ qlprint {/path/to/image/and/filename.extension}
```

## Print multiple copies of an image
```
$ qlprint {/path/to/image/and/filename.extension} -c 5
```

## Recovering failed prints
A recovery code (with is a random string of 10 letter of numbers) will be printed to the console when using `qlprint`. If `qlprint` fails then the rest of the print can be recovered using
```
$ qlprint {recoverycode}
```
